/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#include "file_20.h"
#define l_1268 0.43429448190325182765
double l_186(double *x) {
if (*x >= 0)
return(*x);
return(- *x);
}
double l_187(double *x) {
return( acos(*x) );
}
double l_188(double *x) {
return( asin(*x) );
}
double l_189(double *x) {
return( atan(*x) );
}
double l_190(double *x, double *y) {
return( atan2(*x,*y) );
}
double l_191(double *x) {
return( cos(*x) );
}
double l_192(double *x) {
return( cosh(*x) );
}
double l_193(double *a, double *l_33) {
return( *a > *l_33 ? *a - *l_33 : 0);
}
double l_194(double *x) {
return( exp(*x) );
}
double l_195(double *x) {
return( (*x>0) ? floor(*x) : -floor(- *x) );
}
double l_196(double *x) {
return( l_1268 * log(*x) );
}
double l_197(double *x) {
return( log(*x) );
}
double l_198(double *x, double *y) {
double l_1269;
if ( (l_1269 = *x / *y) >= 0) {
l_1269 = floor(l_1269);
} else {
l_1269 = -floor(-l_1269);
}
return(*x - (*y) * l_1269 );
}
double l_199(double *x) {
return( (*x)>=0 ? floor(*x + .5) : -floor(.5 - *x) );
}
double l_200(double *a, double *l_33) {
double x;
x = (*a >= 0 ? *a : - *a);
return( *l_33 >= 0 ? x : -x);
}
double l_201(double *x) {
return( sin(*x) );
}
double l_202(double *x) {
return( sinh(*x) );
}
double l_203(double *x) {
return( sqrt(*x) );
}
double l_204(double *x) {
return( tan(*x) );
}
double l_205(double *x) {
return( tanh(*x) );
}
double l_206(double *l_207, double *l_208) {
if (*l_208==0) {
return 1;
} else {
return pow(*l_207, *l_208);
}
}
double l_209(double *l_207, int *l_208) {
double pow, x;
int n;
unsigned long l_143;
pow = 1;
x = *l_207;
n = *l_208;
if (n != 0) {
if (n < 0) {
n = -n;
x = 1/x;
}
for(l_143 = n; ; ) {
if (l_143 & 01)
pow *= x;
if (l_143 >>= 1)
x *= x;
else
break;
}
}
return(pow);
}
int l_210(int *l_207, int *l_208)
{
int pow, x, n;
unsigned long l_143;
x = *l_207;
n = *l_208;
if (n <= 0) {
if (n == 0 || x == 1)
return 1;
if (x != -1)
return x == 0 ? 1/x : 0;
n = -n;
}
l_143 = n;
for(pow = 1; ; ) {
if (l_143 & 01)
pow *= x;
if (l_143 >>= 1)
x *= x;
else
break;
}
return(pow);
}
